## org.eclipse.datatools.sqltools.sqlbuilder.views.select
Class SelectGridViewer

    java.lang.Object
      org.eclipse.jface.viewers.Viewer
          org.eclipse.jface.viewers.ContentViewer
              org.eclipse.jface.viewers.StructuredViewer
                  org.eclipse.jface.viewers.ColumnViewer
                      org.eclipse.jface.viewers.AbstractTableViewer
                          org.eclipse.jface.viewers.TableViewer
                              org.eclipse.datatools.sqltools.sqlbuilder.views.NavigableTableViewer
                                  org.eclipse.datatools.sqltools.sqlbuilder.views.GridViewer
                                      org.eclipse.datatools.sqltools.sqlbuilder.views.select.SelectGridViewer

All Implemented Interfaces:
  org.eclipse.jface.action.IMenuListener, org.eclipse.jface.viewers.IInputProvider, org.eclipse.jface.viewers.IInputSelectionProvider, org.eclipse.jface.viewers.IPostSelectionProvider, org.eclipse.jface.viewers.ISelectionProvider

    public class SelectGridViewer

extends GridViewer
implements org.eclipse.jface.action.IMenuListener

Grid viewer for select statement

Field Summary
`static java.lang.String` `P_ASCENDING`
`static java.lang.String` `P_DEFAULT`
`static java.lang.String` `P_DESCENDING`
`static java.lang.String` `P_UNSORTED`

Fields inherited from class org.eclipse.datatools.sqltools.sqlbuilder.views.NavigableTableViewer
`copyright`

Constructor Summary
`SelectGridViewer(SQLDomainModel domainModel, org.eclipse.swt.widgets.Composite parent)`

Method Summary
`org.eclipse.jface.viewers.ViewerCell` `getCell(org.eclipse.swt.graphics.Point point)`
`QueryStatement` `getCurrentStatement()`
`void` `menuAboutToShow(org.eclipse.jface.action.IMenuManager menu)` The context menu is about to appear.
`void` `refresh()`
`void` `refreshCellEditor(int row)`
`void` `setEnabled(boolean enable)`

Methods inherited from class org.eclipse.datatools.sqltools.sqlbuilder.views.GridViewer
`getColumnComboBoxCellEditor, getTotalRdbColumn`

Methods inherited from class org.eclipse.datatools.sqltools.sqlbuilder.views.NavigableTableViewer
`getNavigator, setCellEditors`

Methods inherited from class org.eclipse.jface.viewers.TableViewer
`getControl, getTable, refresh, refresh, setSelection`

Methods inherited from class org.eclipse.jface.viewers.AbstractTableViewer
`add, add, clear, getElementAt, getLabelProvider, insert, remove, remove, replace, reveal, setItemCount`

Methods inherited from class org.eclipse.jface.viewers.ColumnViewer
`cancelEditing, editElement, getCellEditors, getCellModifier, getColumnProperties, getColumnViewerEditor, getLabelProvider, isBusy, isCellEditorActive, refresh, refresh, setCellModifier, setColumnProperties, setColumnViewerEditor, setLabelProvider, update`

Methods inherited from class org.eclipse.jface.viewers.StructuredViewer

`addDoubleClickListener, addDragSupport, addDropSupport, addFilter, addOpenListener, addPostSelectionChangedListener, getComparator, getComparer, getFilters, getSelection, getSorter, refresh, removeDoubleClickListener, removeFilter, removeOpenListener, removePostSelectionChangedListener, resetFilters, setComparator, setComparer, setContentProvider, setFilters, setInput, setSorter, setUseHashlookup, testFindItem, testFindItems, update`

Methods inherited from class org.eclipse.jface.viewers.ContentViewer
`getContentProvider, getInput`

Methods inherited from class org.eclipse.jface.viewers.Viewer
`addHelpListener, addSelectionChangedListener, getData, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider
`addSelectionChangedListener, removeSelectionChangedListener, setSelection`

Field Detail

### P_UNSORTED

    public static final java.lang.String P_UNSORTED

### P_ASCENDING

    public static final java.lang.String P_ASCENDING

### P_DESCENDING

    public static final java.lang.String P_DESCENDING

### P_DEFAULT

    public static final java.lang.String P_DEFAULT

Constructor Detail

### SelectGridViewer

    public SelectGridViewer(SQLDomainModel domainModel,
                            org.eclipse.swt.widgets.Composite parent)

Method Detail

### getCurrentStatement

    public QueryStatement getCurrentStatement()

### refreshCellEditor

    public void refreshCellEditor(int row)

### menuAboutToShow

    public void menuAboutToShow(org.eclipse.jface.action.IMenuManager menu)

  The context menu is about to appear. Populate it.

  Specified by:
    `menuAboutToShow` in interface `org.eclipse.jface.action.IMenuListener`

### refresh

    public void refresh()

  Overrides:
    `refresh` in class `GridViewer`

### getCell

    public org.eclipse.jface.viewers.ViewerCell getCell(org.eclipse.swt.graphics.Point point)

  Overrides:
    `getCell` in class `org.eclipse.jface.viewers.ColumnViewer`

### setEnabled

    public void setEnabled(boolean enable)